package pilgrim_test

import "testing"

func Assert(t *testing.T, condition bool, errItems ...any) {
	if !condition {
		t.Fail()
		t.Log("Test failure reason:", errItems)
	}
}

func AssertEquals[T comparable](t *testing.T, value T, expected T) {
	if value != expected {
		t.Fail()
		t.Logf("Got %v, expected %v", value, expected)
	}
}

func AssertEqualsFunc[T any](t *testing.T, value T, expected T, equalsFunc func(v, e T) bool) {
	if !equalsFunc(value, expected) {
		t.Fail()
		t.Logf("Got %v, expected %v", value, expected)
	}
}
